### Hierarchy

- Blip

## Index

### Constructors

- constructor

### Properties

- handle

### Accessors

- Alpha
- Color
- Display
- Entity
- Handle
- IsCrew
- IsFlashing
- IsFriend
- IsFriendly
- IsOnMinimap
- IsShortRange
- Name
- NumberLabel
- Position
- Priority
- Rotation
- Scale
- ShowHeadingIndicator
- ShowRoute
- Sprite
- Type

### Methods

- delete
- exists
- removeNumberLabel
- setNameToPlayerName

## Constructors

### constructor

- new Blip(handle: number): Blip

- - Defined in Blip.ts:8

  #### Parameters

  - ##### handle: number

  #### Returns Blip

## Properties

### Protected handle

handle: number

- Defined in Blip.ts:6

## Accessors

### Alpha

- get Alpha(): number
- set Alpha(alpha: number): void

- - Defined in Blip.ts:37

  #### Returns number

- - Defined in Blip.ts:41

  #### Parameters

  - ##### alpha: number

  #### Returns void

### Color

- get Color(): BlipColor
- set Color(color: BlipColor): void

- - Defined in Blip.ts:53

  #### Returns BlipColor

- - Defined in Blip.ts:57

  #### Parameters

  - ##### color: BlipColor

  #### Returns void

### Display

- set Display(display: number): void

- - Defined in Blip.ts:69

  #### Parameters

  - ##### display: number

  #### Returns void

### Entity

- get Entity(): null | Entity

- - Defined in Blip.ts:83

  #### Returns null | Entity

### Handle

- get Handle(): number

- - Defined in Blip.ts:12

  #### Returns number

### IsCrew

- set IsCrew(crew: boolean): void

- - Defined in Blip.ts:103

  #### Parameters

  - ##### crew: boolean

  #### Returns void

### IsFlashing

- get IsFlashing(): boolean
- set IsFlashing(flashing: boolean): void

- - Defined in Blip.ts:107

  #### Returns boolean

- - Defined in Blip.ts:111

  #### Parameters

  - ##### flashing: boolean

  #### Returns void

### IsFriend

- set IsFriend(friend: boolean): void

- - Defined in Blip.ts:99

  #### Parameters

  - ##### friend: boolean

  #### Returns void

### IsFriendly

- set IsFriendly(friendly: boolean): void

- - Defined in Blip.ts:95

  #### Parameters

  - ##### friendly: boolean

  #### Returns void

### IsOnMinimap

- get IsOnMinimap(): boolean

- - Defined in Blip.ts:115

  #### Returns boolean

### IsShortRange

- get IsShortRange(): boolean
- set IsShortRange(shortRange: boolean): void

- - Defined in Blip.ts:119

  #### Returns boolean

- - Defined in Blip.ts:123

  #### Parameters

  - ##### shortRange: boolean

  #### Returns void

### Name

- set Name(name: string): void

- - Defined in Blip.ts:73

  #### Parameters

  - ##### name: string

  #### Returns void

### NumberLabel

- set NumberLabel(number: number): void

- - Defined in Blip.ts:49

  #### Parameters

  - ##### number: number

  #### Returns void

### Position

- get Position(): Vector3
- set Position(location: Vector3): void

- - Defined in Blip.ts:16

  #### Returns Vector3

- - Defined in Blip.ts:21

  #### Parameters

  - ##### location: Vector3

  #### Returns void

### Priority

- set Priority(priority: number): void

- - Defined in Blip.ts:45

  #### Parameters

  - ##### priority: number

  #### Returns void

### Rotation

- set Rotation(rotation: number): void

- - Defined in Blip.ts:25

  #### Parameters

  - ##### rotation: number

  #### Returns void

### Scale

- set Scale(scale: number): void

- - Defined in Blip.ts:29

  #### Parameters

  - ##### scale: number

  #### Returns void

### ShowHeadingIndicator

- set ShowHeadingIndicator(show: boolean): void

- - Defined in Blip.ts:87

  #### Parameters

  - ##### show: boolean

  #### Returns void

### ShowRoute

- set ShowRoute(show: boolean): void

- - Defined in Blip.ts:91

  #### Parameters

  - ##### show: boolean

  #### Returns void

### Sprite

- get Sprite(): BlipSprite
- set Sprite(sprite: BlipSprite): void

- - Defined in Blip.ts:61

  #### Returns BlipSprite

- - Defined in Blip.ts:65

  #### Parameters

  - ##### sprite: BlipSprite

  #### Returns void

### Type

- get Type(): number

- - Defined in Blip.ts:33

  #### Returns number

## Methods

### delete

- delete(): void

- - Defined in Blip.ts:131

  #### Returns void

### exists

- exists(): boolean

- - Defined in Blip.ts:137

  #### Returns boolean

### removeNumberLabel

- removeNumberLabel(): void

- - Defined in Blip.ts:127

  #### Returns void

### setNameToPlayerName

- setNameToPlayerName(player: Player): void

- - Defined in Blip.ts:79

  #### Parameters

  - ##### player: Player

  #### Returns void

Generated using TypeDoc